FICALIB(1)

NAME
ficalib - performing various calibration steps on the input images

SYNOPSIS
ficalib [options] [-i|--input <inputs>] [-o|--output <outputs>]

DESCRIPTION
The purpose of this program is to do various calibration steps on the input images, including mosaic frame joining, generic overscan corrections, bias and (exp. time scaled) dark subtraction and flat field corrections.

OPTIONS

  General options:

-h, --help
    Gives general summary about the command line options.

--long-help, --help-long
    Gives a detailed list of command line options.

--wiki-help, --help-wiki, --mediawiki-help, --help-mediawiki
    Gives a detailed list of command line options in Mediawiki format.

--version, --version-short, --short-version
    Gives some version information about the program.

-i, --input <inputs>
    List of input images (up to the next option).

-o, --output <outputs>
    List of output images (up to the next option).

-r, --rewrite-output-name '[<from>|]<to>'
    Rewrite the output file names according to the rule specified by the argument of this switch. The <to> part must contain a single asterix (*) that is replaced by the original file name or, if the <from> part is specified and it can be matched by the filename, the appropriate part of the filename is written to the output filename. For instance, '*.fits|*.calib.fits' will replace the `fits` extension to `calib.fits` if the original filename has a fits extension, otherwise, concatenates the `calib.fits` as an extension to the filename. Note that the <from> and <to> part must be separated by a vertical bar (the character used in UNIX shells for creating pipes), therefore either this character must be escaped or put into quotation marks (according to the current shell). If the -o|--output list of filenames are not, but this argument is specified, the list of original output files will be the same as the list of input filenames.

  Generic calibration options:

--overscan <overscan>
    Specifications for overscan corrections (see also "Overscan correction parameters" below).

--mosaic size=(<sx>,<sy>),(<mosaic section 1>),...
    Mosaic image topology specfications (see also "Mosaic specification parameters" below).

-M, --input-mask <fits>
    Input mask file to co-add to output image.

-B, --input-master-bias <bias>
    Master bias image (if any).

-D, --input-master-dark <dark>
    Master dark image (if any).

-F, --input-master-flat <flat>
    Master flat field image (if any).

-s, --saturation <level>
    Saturation level.

--leak-left-right, --leak-lower-upper, --leak-any
    Pixel/readout "blooming" direction.

-g, --gain <gain>
    Nominal gain value.

--gain-order <order>
    Spatial polynomial order to describe gain variations.

--exptime-correction
    Do exposure time correction during dark subtraction.

--no-exptime-correction
    Don't do any exposure time correction for darks.

--no-clobber
    Don't overwrite existing calibrated images.

  Output postprocessing and pixel depts:

--image <x1>:<y1>:<x2>:<y2>
    Final image area.

--trim
    Trim output to final image area.

--no-trim
    Don't trim output to final image area (default).

--post-scale <mean>
    Scale output to have the specified mean value.

--post-multiply <factor>
    Multiply output image by the given factor.

--data <spec>
    Output pixel data format specification.

-b, --bitpix <bitpix>
    Standard FITS output bitpix value.

  Overscan correction parameters:

area=<x1>:<y1>:<x2>:<y2>
    Overscan area.

spline
    Use cubic splines for overscan modelling.

polynomial
    Use polynomials for overscan modelling.

order=<order>
    Order for overscan variation (zero: constant).

iterations=<n>
    Number of iterations for rejecting overscan outliers.

sigma=<s>
    Overscan outlier limit in units of stddev.

  Other corrections:

--horizontal-stripe-removal
    Remove horizontal stripes.

  Mosaic specification parameters:

size=(<xsize>,<ysize>)
    Vertical and horizontal dimensions of the final image.

name=<extension name>
    FITS extenison name of the given mosaic section.

offset=(<x0>,<y0>)
    Offset of the given mosaic section in the final image.

image=(<x1>:<y1>:<x2>:<y2>)
    Trim area of the given mosaic section.

overscan=(<overscan>)
    Overscan parameters for the given mosaic section, in the same syntax and format as used after "--overscan".

REPORTING BUGS
Report bugs to <apal@szofi.net>, see also https://fitsh.net/.

COPYRIGHT
Copyright © 1996, 2002, 2004-2008, 2010-2016, 2018-2020; Pal, Andras <apal@szofi.net>